using System.Collections.Generic;
using System.IO;

namespace XGame.Editor.Asset.Tools
{
    internal class AssetInfoData : System.IComparable
    {
        public FileType fileType;
        public string assetPath;

        public int CompareTo(object obj)
        {
            if (obj is AssetInfoData info)
            {
                return string.CompareOrdinal(assetPath, info.assetPath);
            }
            return -1;
        }
    }

    internal class AtlasAssetInfoData : AssetInfoData
    {
        public HashSet<string> sprites;
    }
}

